We use the attached lisp to draw arc'd leaders.. the problem being we can't "update" them, they have to be redrawn. Is there a way we can change this lisp such that it is possible to "update" like any other dim/leader?? or does anyone have a ready-made command that will sufice that they are willing to share..? (posted this a few months ago, and got no responce). (defun c:AA (/ SP ANG ARRANG LENG EP) (setq on (getvar "osmode")) (setvar "osmode" 0) (command "undo" "m") (setq SP (getpoint " Arrow start point")) (setq ANGP (getpoint SP " Arrow angle")) (setq ARRANG (angle SP ANGP)) (if (= 0.0 (getvar "DIMASZ"))(setq LENG 2.0) (setq LENG (getvar "DIMASZ"))) (setq EP (polar sp arrang (* LENG (getvar "DIMSCALE")))) (command "PLINE" SP "W" "0.0" (* 0.333 LENG (getvar "DIMSCALE")) EP "W" "0.0" "0.0" "ARC") (setvar "osmode" on) )